Skip to content

EcaaService⁠

Manage the Symitar Combined Authentication and Authorization Service (ECAAS).

Operations⁠

authenticateMember⁠

POST

Authenticates a member.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/ecaa/authenticateMember
POST /nexum/627/persistent/ecaa/authenticateMember HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "UserName": "TEST13824",
    "Password": "Password123!",
    "SecondaryVerification": {},
    "Version_1": {}
  },
  "nxAttributes": {
    "customFields": {}
  }
}

authenticateService⁠

POST

Authenticates a service.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/ecaa/authenticateService
POST /nexum/627/persistent/ecaa/authenticateService HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "nxAttributes": {
    "customFields": {}
  }
}

changeMemberHBPassword⁠

POST

Changes member's Home Banking password.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NewPasswordstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/ecaa/changeMemberHBPassword
POST /nexum/627/persistent/ecaa/changeMemberHBPassword HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "UserName": "TEST13824",
    "Password": "Password123!",
    "SecondaryVerification": {},
    "Version_1": {}
  },
  "NewPassword": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

convertToJWT⁠

POST

Converts to JSON Web Token (JWT).

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SAMLAssertionstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/ecaa/convertToJWT
POST /nexum/627/persistent/ecaa/convertToJWT HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "SAMLAssertion": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

convertToSAML⁠

POST

Converts to Security Assertion Markup Language (SAML).

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

JwtTokenstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/ecaa/convertToSAML
POST /nexum/627/persistent/ecaa/convertToSAML HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "JwtToken": "string",
  "nxAttributes": {
    "customFields": {}
  }
}